Package ch.admin.suis.validator.rest.to.response

# Class SignatureReport

java.lang.Object
ch.admin.suis.validator.rest.to.response.SignatureReport

public class SignatureReport extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignatureReport()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReportCertificate`
  `getCertificateDetails()`
  `ReportMandator`
  `getMandatorDetails()`
  `List<ShortReport>`
  `getReports()`
  `ReportRevocation`
  `getRevocationDetails()`
  `String`
  `getSignatureName()`
  `ReportTimestamp`
  `getTimestampDetails()`
  `ValidStatus`
  `isValid()`
  `ValidStatus`
  `isValidCert()`
  `ValidStatus`
  `isValidMandant()`
  `ValidStatus`
  `isValidRevoc()`
  `ValidStatus`
  `isValidSig()`
  `ValidStatus`
  `isValidTimestamp()`
  `void`
  `setCertificateDetails(ReportCertificate certificateDetails)`
  `void`
  `setMandatorDetails(ReportMandator mandatorDetails)`
  `void`
  `setReports(List<ShortReport> reports)`
  `void`
  `setRevocationDetails(ReportRevocation revocationDetails)`
  `void`
  `setSignatureName(String signatureName)`
  `void`
  `setTimestampDetails(ReportTimestamp timestampDetails)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SignatureReport

    public SignatureReport()

- ## Method Details

  - ### getCertificateDetails

    public ReportCertificate getCertificateDetails()

  - ### getMandatorDetails

    public ReportMandator getMandatorDetails()

  - ### getReports

    public List<ShortReport> getReports()

  - ### getRevocationDetails

    public ReportRevocation getRevocationDetails()

  - ### getSignatureName

    public String getSignatureName()

  - ### getTimestampDetails

    public ReportTimestamp getTimestampDetails()

  - ### isValid

    public ValidStatus isValid()

  - ### isValidCert

    public ValidStatus isValidCert()

  - ### isValidMandant

    public ValidStatus isValidMandant()

  - ### isValidRevoc

    public ValidStatus isValidRevoc()

  - ### isValidSig

    public ValidStatus isValidSig()

  - ### isValidTimestamp

    public ValidStatus isValidTimestamp()

  - ### setCertificateDetails

    public void setCertificateDetails(ReportCertificate certificateDetails)

  - ### setMandatorDetails

    public void setMandatorDetails(ReportMandator mandatorDetails)

  - ### setReports

    public void setReports(List<ShortReport> reports)

  - ### setRevocationDetails

    public void setRevocationDetails(ReportRevocation revocationDetails)

  - ### setSignatureName

    public void setSignatureName(String signatureName)

  - ### setTimestampDetails

    public void setTimestampDetails(ReportTimestamp timestampDetails)